package schedule

import (
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/logic/schedule"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/pkg/repository/result"
	"net/http"
)

func ScheduleGetStrategyHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := schedule.NewScheduleGetStrategyLogic(r.Context(), svcCtx)
		resp, err := l.ScheduleGetStrategy()
		result.HttpResult(r, w, resp, err)
	}
}
